<?php include '../include/navbar.html'; ?>
<!-- Se incorpora la logica para detectar si existe una sesion activa -->
<?php if ((!isset ($_SESSION["correo"]) Or $_SESSION['rol']==1)) {
    header("Location:../index.html");
};?>
<?php include 'wallet.php'; ?>
    <div class='container-fluid'>
        <div class="row p-3">
            <h1>Mi Billetera</h1>
        </div>
        <div class="row p-3">
            <div class="col">
                <div class="container shadow-lg rounded m-auto p-5">
                    <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">Código</th>
                                <th scope="col">Nombre</th>
                                <th scope="col">Cantidad</th>
                                <th scope="col">Valor Actual</th>
                                <th scope="col">Total</th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- Se agrega lógica php para mostrar la información de la billetera del usuario que a iniciado sesión. -->
                            <?php
                            if($cantidad_monedas !=0 )
                            {
                                for ($n=1; $n <=$cantidad_monedas ; $n++)
                                { 
                                echo"
                                <tr>
                                    <td >$siglas[$n]</td>
                                    <td>$nombreMoneda[$n]</td>
                                    <td>$cantidad[$n]</td>
                                    <td>$valorMoneda[$n] USD</td>
                                    <td> $total[$n] USD</td>";
                                }
                            }
                            else
                            {
                                echo"
                                <tr>
                                    <td >-</td>
                                    <td>-</td>
                                    <td>-</td>
                                    <td>-</td>
                                    <td>-</td>";
                            }
                            
                             ?>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</body>

</html>